FROM debian

RUN  apt update -y

RUN apt install pandoc pandoc-data texlive-base texlive-binaries texlive-fonts-extra texlive-fonts-extra-links texlive-fonts-recommended texlive-lang-greek texlive-lang-other texlive-latex-base texlive-latex-extra texlive-latex-recommended texlive-pictures texlive-plain-generic texlive-science texlive-xetex -y

RUN useradd isen


RUN apt install wget -y
RUN wget https://github.com/jgm/pandoc/releases/download/3.1.13/pandoc-3.1.13-1-amd64.deb -O /tmp/pandoc.deb
RUN dpkg -i /tmp/pandoc.deb
RUN apt install texlive-lang-french -y

COPY pandoc-fonts.tar /tmp/
RUN tar xf /tmp/pandoc-fonts.tar -C /usr/share/fonts/
RUN fc-cache -v -f
COPY run_conversion.sh /bin/
RUN chmod ugo+x /bin/run_conversion.sh

USER 1000:1000

CMD /bin/run_conversion.sh
